%define major 1.2
%define libname %mklibname echonest %major
%define develname %mklibname -d echonest

Name: libechonest
Version: 1.2.1
Release: %mkrel 1
Summary: C++ wrapper for the Echo Nest API
Group: System/Libraries
License: GPLv2+
URL: https://projects.kde.org/projects/playground/libs/libechonest
Source0: http://pwsp.cleinias.com/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: qjson-devel
BuildRequires: qt4-devel
BuildRequires: cmake

%description
libechonest is a collection of C++/Qt classes designed to make a developer's
life easy when trying to use the APIs provided by The Echo Nest.

%package -n %{libname}
Summary: Shared libraries files for %{name}
Group: System/Libraries

%description -n %{libname}
libechonest is a collection of C++/Qt classes designed to make a developer's
life easy when trying to use the APIs provided by The Echo Nest.

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/KDE and Qt
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}
Provides: echonest-devel = %{version}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%cmake -DECHONEST_BUILD_TESTS=OFF
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/echonest
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Dec 01 2011 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-1mdv2011.0
+ Revision: 736489
+ rebuild (emptylog)

* Fri Nov 25 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.2.1-1
+ Revision: 733404
- version update to 1.2.1

* Mon May 02 2011 Funda Wang <fwang@mandriva.org> 1.1.5-1
+ Revision: 661582
- new version 1.1.5

  + Oden Eriksson <oeriksson@mandriva.com>
    - mass rebuild

* Mon Jan 31 2011 Funda Wang <fwang@mandriva.org> 1.1.1-1
+ Revision: 634415
- import libechonest

